{{- if .Values.grafanaDashboardConfigMap.create -}}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "netchecker.fullname" . }}
  namespace: {{ default .Release.Namespace .Values.grafanaDashboardConfigMap.namespace }}
  labels:
    {{- merge .Values.grafanaDashboardConfigMap.labels (include "netchecker.labels" . | fromYaml) | toYaml | nindent 4 }}
data:
  netchecker_rev1.json: |-
    {{- .Files.Get "resources/grafana-dashboard.json" | nindent 4 }}
#
{{- end -}}
